Bug 8360 - Fails on install for many RPM packages.
Fails on install for many RPM packages.
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
6.1
All Linux
medium Severity high
: ---
: ---
Assigned To: Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-01-10 20:34 EST by lazarus
Modified: 2015-01-07 18:40 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-14 11:40:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description lazarus 2000-01-10 20:34:56 EST
Solid failure. When installer begans installing RPM packages at least 15
different packages fail with CPIO BAD MAGIC errors. The worst is
GLIBC-2.1.2-11   which renders the system unusable. I am able to boot into
it after a fashion but it is severly degraded. The errors are apparent
via virtual console messages which the install is proceeding.  Bug 5494 is
one of the results of missing GLIBC library as it has the timezone data.
The ultimate symptom is as 5494 reports but the real culprit is the
'failure while unpacking archive' error which is caused by the CPIO error.

I am unable to finish the install. Attempts to create a bootdisk also fail
with CRC error which I am certain is a result of the damaged system.
Comment 1 lazarus 2000-01-12 19:45:59 EST
I have resolved the problem described here. It was a marginally error prone
CDROM drive that was causing Bad Magic. I must say that when one gets an
device or media error you would expect to see some direct indication of that
event rather than just a arcane failure further down the road.

I would assume that at install time the error routines may not be functional.
I am going to attempt package installs now that I have a full Linux kernel
running and see what happens again.

The failure seems far removed from the symptom.
Comment 2 Charles Merriam 2000-01-14 12:56:59 EST
OK, Let's get this spelled out a bit before I burn two hours of technical
support.

1.  This is a high priority, high severity bug.  Bug 8360 is intermittent, hard
for the average user to diagnose, does not have a work-around, and causes an
immediate out-of-box failure.  It has been reported at least 10/99.  Yes, it is
a bad bug.

2.  My last call to tech support does not correctly identify this bug.  He did
not find this bug, and moved immediately to the 'try random changes' method of
solving the problem.

3.  Symptoms and Diagnoses:
a)  Most common symptom is that installation hangs or freezes while installing
packages, also known as post-install.  Some large number of megabytes of data
will be read from CD-ROM, and then the screen will lock.  There will be
misleading and useless information on the Left-Alt-Ctrl-1 to 5 screens that may
include:
   error opening security policy file /usr/X11R6/lib/X11/xserver/SecurityPolicy
   Gtk-CRITICAL **: file gtkwidget.c: line 1584 (gtk_widget_map): assertion
   'GTK_WIDGET_VISIBLE (widget) == TRUE' failed.
   <repeat some number of times>
   grabData() RPM_STRING_TYPE count must be 1
   Xlib: unexpected async reply (sequence 0X1149ac)!

and other data.

b) The definitive symptom is in the install.log.  Wait until the installation
completes or freezes, remove the boot floppy and CD, and reboot.  Linux should
come partway up.  Enter maintenance password.  Try to view temp/install.log and
look for "unpacking of archive failed: cpio: Bad magic" or "/usr/bin/cu: cpio:
read failed -Success" messages.  The packages that it fails on will be different
each time.  Usually about a dozen packages fail to install.

c) Oddly, as it is having a tough install, the installation program may slow
progressively down.  Installing a <1K package could take several minutes.  It
could be thrashing?

4.  A software, not hardware problem.

This SHOULD work.  The hardward in use is sufficient to perform flawlessly on
Redmond operating systems.  No fair blaming the hardware, just as a hard drive
may have bad blocks, so may a CD-ROM blow it sometimes.

5.  Configuration.  This is an old CTX brand machine (64MB/4GB/SVGA/etc.).  The
relevant issues seem to be the CD-ROM and controller.  Opening the box reveals
the CD-ROM controller to integrated onto the motherboard.

6.  Work arounds.  I'd like one. I don't expect one.

7.  Likely causes and fixes.  Like all annoying problems, this is a result of
several problems.
a.  Low level CD-ROM reader should error check and retry the reads.  DOS does
it.  This would fix the problem completely.
b.  The error codes from the package installer do not propogate upward to the
GUI.  The error would be simplier to diagnose if the GUI had a screen told the
user a package install failed.
c.  The installation logs are inconsistently available during and post install.
 During install, some information is displayed on screens 1 to 5, that is lost
in post install.  What should happen is:
-- The /tmp/install.log should be available from the bash shell during install.
 If the file is somewhere else, make a symlink or dummy file in /tmp.
-- After install, the complete installation transcript, what choices the user
made in configuration should be in logs in the /tmp directory.  Even better
would be to copy them to /root during post install.

8.  Solve the problem for ME.  One simple work around is to solve my problem (no
Linux) and your problem (hard to reproduce) by swapping machines.  The final
machine will be used for a non-profit, so there shouldn't be a problem.  I'm in
the Silicon Valley so there doesn't need to be shipment problems.  Alternately,
you can find a work around.  Alternately, you can put my machine on a network
and install Linux.  Alternately, you choose to be unresponsive to customers.

Charles Merriam
408 773 8824
Comment 3 Charles Merriam 2000-01-17 15:51:59 EST
I confirmed that the bug is related to the CD-ROM.  I manually swapped CD-ROM
drives (not controllers), and was able to install.
Comment 4 Steve Welburn 2000-01-22 07:36:59 EST
Similarly, new CD-Rom drive got round the problem.

Maybe Philips CD3610 CDRW should be in your unsupported hardware list ???
Comment 5 4gray 2000-01-23 19:41:59 EST
Having same problem as described above with one exception: system will not boot
whatsoever after install attempt. The machine I am trying to install RH6.1 on
sole OP system is LiNUX (previously 5.2 but now cannot re-install that either)

I have tried switching out CD-ROM, IDE32x for another IDE32x to no avail.

MB:  SOYO 82440FX (6FA2/A5)
MEM: 1-32M EDO DIMM
     2-32M EDO SIMM
HD:  SeaGate ST31721A (1.6G)
CD ROM 1: Toshiba 32x
CD ROM 2: Samsung 32x

Error messages:

Error opening security policy file /usr/X11R6/lib/X11/xserver/SecurityPolicy

Gtk-CRITICAL **: file gtkwidget.c: line 1584 (gtk_widget_map):
assertion GTK_WIDGET_VISIBLE (widget) == TRUE failed.

Gtk-CRITICAL **: file gtkwidget.c: line 1584 (gtk_widget_map):
assertion GTK_WIDGET_VISIBLE (widget) == TRUE failed.

Fatal server error:
Caught signal 8. Server aborting

Gdk-ERROR **: X connection to :1.0 broken (explicit kill or server shutdown).
Install exited abmornally

Have been messing with this install for two and a half days now. Any
suggestions would be appreciated.


Ken Gray
4gray@inreach.com
Comment 6 Jay Turner 2000-02-14 11:40:59 EST
Am closing out this bug as it is the result of hardware failure.  I have added
better error handling to a list of feature requests for later releases.

Note You need to log in before you can comment on or make changes to this bug.